Cloud Assignment 2

**endpoints:**

    When there is no choosen limit, limit is auto set to 5.
    When there is no choosen auth, auth is auto set to false.

**Commits:** 

    repocheck/v1/commits{?limit=[0-9]+{&auth=<access-token>}}
        Here you have 4 options:
            1. repocheck/v1/commits 
            2. repocheck/v1/commits?limit=[number]
            3. repocheck/v1/commits?auth=[privat_token]
            4. repocheck/v1/commits?limit=[number]&auth[privat_token]

**Languages:**

    repocheck/v1/languages{?limit=[0-9]+{&auth=<access-token>}}
        Here you have 4 options:
            1. /repocheck/v1/languages
            2. /repocheck/v1/languages?limit=[number]
            3. /repocheck/v1/languages?auth=[privat_token]
            4. /repocheck/v1/languages?limit=[number]&auth=[privat_token]

**Status:** 

    /repocheck/v1/status
        Here you have onely one option:
            1. /repocheck/v1/status

**Webhooks:** 

    /repocheck/v1/webhooks
        Here you can choose between: Post, Get and Delete request:
            Post:
                Endpoint: /repocheck/v1/webhooks
                Body you need to send with:
                {
                    "event":"[commits or languages]",
                    "url":"[webhook url]"
                }
        
            Get:
                Endpoint: /repocheck/v1/webhooks
                Her you get the array of all webhooks existing on the database.
                Body:
                {
                    "id",
                    "event",
                    "url",
                    "time"
                }
        
             Delete:
                Endpoint: /repocheck/v1/webhooks
                Here you delete at webhook bye ID.
                Body you need to send with:
                {
                    "id":"[the id you want to delete]"
                }

**Webhooks:** 

    /repocheck/v1/webhooks/[ID]
        Here you only have Get request:
            Get:
                Endpoint: /repocheck/v1/webhooks/[choosen id to show]

